hwy::InputStats< T > Class Template Reference

`#include <algo-inl.h>`

## Public Member Functions

void | Notify (T value)
bool | operator== (const InputStats &other) const

## Private Attributes

T | min_ = hwy::HighestValue<T>()
T | max_ = hwy::LowestValue<T>()
uint64_t | sum_ = 0
size_t | count_ = 0

## Member Function Documentation

## Notify()

template<typename T >

void hwy::InputStats< T >::Notify | ( | T | value | ) |

inline

References hwy::InputStats< T >::count_, hwy::InputStats< T >::max_, hwy::InputStats< T >::min_, and hwy::InputStats< T >::sum_.

Referenced by hwy::HWY_NAMESPACE::GenerateInput(), and hwy::HWY_NAMESPACE::VerifySort().

## operator==()

template<typename T >

bool hwy::InputStats< T >::operator== | ( | const InputStats< T > & | other | ) | const

inline

References hwy::InputStats< T >::count_, HWY_ABORT, hwy::InputStats< T >::max_, hwy::InputStats< T >::min_, and hwy::InputStats< T >::sum_.

## Member Data Documentation

## count_

template<typename T >

size_t hwy::InputStats< T >::count_ = 0

private

Referenced by hwy::InputStats< T >::Notify(), and hwy::InputStats< T >::operator==().

## max_

template<typename T >

T hwy::InputStats< T >::max_ = hwy::LowestValue<T>()

private

Referenced by hwy::InputStats< T >::Notify(), and hwy::InputStats< T >::operator==().

## min_

template<typename T >

T hwy::InputStats< T >::min_ = hwy::HighestValue<T>()

private

Referenced by hwy::InputStats< T >::Notify(), and hwy::InputStats< T >::operator==().

## sum_

template<typename T >

uint64_t hwy::InputStats< T >::sum_ = 0

private

Referenced by hwy::InputStats< T >::Notify(), and hwy::InputStats< T >::operator==().

The documentation for this class was generated from the following file:

- algo-inl.h